<?php
$t = "Мои пользователи";
include_once '../core/core.php';
if (!$user->auth()){
	include_once '../core/head.php';
	echo '<div class="error">Необходимо пройти войти в систему для посещения данной страницы.</div>';
	echo h();
	include_once '../core/foot.php';
	die();
}
if ($id != 0 && !$act){
	if ($db->Count("users","WHERE `sid` = '".$user->uid."' AND `id` = '".$id."'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Данный пользователь не существует.</div>';
	} else {
		$ank = $db->getObject("SELECT * FROM `users` WHERE `sid` = '".$user->uid."' AND `id` = '".$id."'");
		$t = 'Аккаунт @'.$ank->login;
		include_once '../core/head.php';
		echo '<div class="title">Профиль @'.$ank->login.'</div>';
		echo '<div class="text lastVisit text_warning">'.($ank->lastVisit>time()-300?'Сейчас онлайн (Последняя активность: '.$core->RealTime($ank->lastVisit).')':'Был в сети: '.$core->RealTime($ank->lastVisit)).'</div>';
		echo '<div class="text avatar" style="text-align: center;"><img class="img_avatar" style="width: 50%;" src="http://'.$user->getData()->domain.'/avatar.lm?id='.($ank->avatar == -1?-1:$ank->id).'"></div>';
		echo '<div class="text">Дата регистрации: '.$core->RealTime($ank->regTime).'</div>';
		echo '<div class="text">Группа: '.$user->textGroup($ank->access).'</div>';
		echo l("/users.lm?id=".$id."&act=vip","Управление VIP","tag",false,false,"Для выдачи или удаления VIP у данного пользователя нажмите здесь.");
		echo l("/users.lm?id=".$id."&act=lvl","Смена уровня доступа у пользователя","key",false,false,"Для смены уровня доступа у данного пользователя нажмите здесь.");
		#echo l("/users.lm?id=".$id."&act=del","Удалить пользователя","trash",false,false,"Для удаления данного пользователя нажмите здесь.");
		echo l("/users.lm?id=".$id."&act=del","Удалить пользователя","trash",false,false,"Для удаления данного пользователя нажмите здесь.");
		echo b("/users.lm");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
} elseif ($id != 0 && $act == "vip"){
	if ($db->Count("users","WHERE `sid` = '".$user->uid."' AND `id` = '".$id."'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Данный пользователь не существует.</div>';
	} else {
		$t = 'Управление VIP-доступом';
		$ank = $db->getObject("SELECT * FROM `users` WHERE `sid` = '".$user->uid."' AND `id` = '".$id."'");
		$isVip = $ank->vip>time()?true:false;
		$list = [[-1,"Снять VIP-доступ",0],[1,($isVip?"Продлить":"Выдать")." VIP на час",1],[2,($isVip?"Продлить":"Выдать")." VIP на сутки",24],[3,($isVip?"Продлить":"Выдать")." VIP на неделю",168],[4,($isVip?"Продлить":"Выдать")." VIP на месяц",720],[5,($isVip?"Продлить":"Выдать")." VIP на год",8760]];
		$hour = 3600;
		if (isset($_POST["ok"]) && isset($_POST["vip"])){
			if (!isset($list[intval($_POST["vip"])])){
				$core->regError("Выберите доступный вариант","Выберите доступный вариант",1,"cp_users");
			} else {
				$timer = 0;
				$_l = $list[intval($_POST["vip"])];
				if ($_l[0] == -1){
					// Удаление VIP
					$db->Query("UPDATE `users` SET `vip`='0' WHERE `sid` = '".$user->uid."' AND `id` = '".$id."'");
					include_once '../core/head.php';
					echo '<div class="success">VIP-доступ для пользователя успешно удален.</div>';
					echo b("/users.lm?act=vip&id=".$id);
					echo hcp();
					include_once '../core/foot.php';
					die();
				} else {
					$timer = ($_l[2]*$hour)+($isVip?$ank->vip:time());
					$db->Query("UPDATE `users` SET `vip`='".$timer."' WHERE `sid` = '".$user->uid."' AND `id` = '".$id."'");
					include_once '../core/head.php';
					echo '<div class="success">VIP-доступ для пользователя успешно установлен.</div>';
					echo b("/users.lm?act=vip&id=".$id);
					echo hcp();
					include_once '../core/foot.php';
					die();
				}
			}
		}
		include_once '../core/head.php';
		if ($core->isBooleanError()){
			foreach ($core->showError() as $csE){
				echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
			}	
		}
		echo '<div class="title">Управление VIP-доступом</div>';
		echo '<form method="POST">
		На данный момент у пользователя: 
		'.($isVip?'<span style="color:green;">активирован VIP и действует до: '.$core->RealTime($ank->vip).'</span>':'<span style="color:red;">не активирован</span>').'<br>
		Что сделать:<br><select name="vip">';
		foreach ($list as $l => $v){
			echo (!$isVip && $v[0] == -1?null:'<option value="'.$l.'">'.$v[1].'</option>');
		}
		echo '</select><br><input type="submit" name="ok" value="Применить изменения"></form>';
		echo b("/users.lm?id=".$id);
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
} elseif ($id != 0 && $act == "lvl"){
	if ($db->Count("users","WHERE `sid` = '".$user->uid."' AND `id` = '".$id."'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Данный пользователь не существует.</div>';
	} else {
		$list = [[1,"Пользователь"],[3,"Модератор"],[4,"Администратор"]];
		$t = 'Управление уровнем доступа для пользователя';
		$ank = $db->getObject("SELECT * FROM `users` WHERE `sid` = '".$user->uid."' AND `id` = '".$id."'");
		if (isset($_POST["ok"]) && isset($_POST["lvl"])){
			if (!isset($list[intval($_POST["lvl"])])){
				$core->regError("Выберите доступный вариант","Выберите доступный вариант",1,"cp_users");
			} else {
				$lvl = $list[intval($_POST["lvl"])];
				$db->Query("UPDATE `users` SET `access`='".$lvl[0]."' WHERE `sid` = '".$user->uid."' AND `id` = '".$id."'");
				include_once '../core/head.php';
				echo '<div class="success">Уровень доступа для пользователя успешно изменен.</div>';
				echo b("/users.lm?id=".$id);
				echo hcp();
				include_once '../core/foot.php';
				die();
			}
		}
		include_once '../core/head.php';
		if ($core->isBooleanError()){
			foreach ($core->showError() as $csE){
				echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
			}	
		}
		echo '<div class="title">Управление уровнем доступа для пользователя</div>';
		echo '<form method="POST">
		На данный момент у пользователя: '.$user->textGroup($ank->access).'<br>
		Уровень доступа:<br><select name="lvl">';
		foreach ($list as $l => $v){
			echo '<option value="'.$l.'" '.($v[0]==$ank->access?'selected':null).'>'.$v[1].'</option>';
		}
		echo '</select><br><input type="submit" name="ok" value="Применить изменения"></form>';
		echo b("/users.lm?id=".$id);
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
} elseif ($id != 0 && $act == "del"){
	if ($db->Count("users","WHERE `sid` = '".$user->uid."' AND `id` = '".$id."'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Данный пользователь не существует.</div>';
	} else {
		$t = "Удаление аккаунта";
		$ank = $db->getObject("SELECT * FROM `users` WHERE `sid` = '".$user->uid."' AND `id` = '".$id."'");
		if (isset($_POST["ok"])){
			// Начинаем удаление данных пользователя
			if (file_exists(SERVER_ROOT."/".$user->getData()->domain."/avatar/".$id.".".$ank->avatar)){
				die();
				@unlink(SERVER_ROOT."/".$user->getData()->domain."/avatar/".$id.".".$ank->avatar);
			}
			$db->Delete("chat","WHERE `sid` = '".$user->uid."' AND `uid` = '".$id."'");
			$db->Delete("comments","WHERE `sid` = '".$user->uid."' AND `uid` = '".$id."'");
			$db->Delete("gb","WHERE `sid` = '".$user->uid."' AND `uid` = '".$id."'");
			#$db->Delete("chat","WHERE `sid` = '".$user->uid."' AND `uid` = '".$id."'");
			#$db->Delete("chat","WHERE `sid` = '".$user->uid."' AND `uid` = '".$id."'");
			$db->Delete("users","WHERE `sid` = '".$user->uid."' AND `id` = '".$id."'");
			include_once '../core/head.php';
			echo '<div class="success">Аккаунт пользователя успешно удален.</div>';
			echo b("/users.lm");
			echo hcp();
			include_once '../core/foot.php';
			die();
		}
		include_once '../core/head.php';
		echo '<div class="title">Удаление аккаунта</div>';
		echo '<div class="warning">ВНИМАНИЕ!!! При удалении аккаунта восстановить обратно его не получиться!</div>';
		echo '<form method="POST">
		<input type="submit" name="ok" value="Да, удалить аккаунт"></form>';
		echo b("/users.lm?id=".$id);
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
}
include_once '../core/head.php';
echo '<div class="title">Мои пользователи</div>';
if ($db->Count("users","WHERE `sid` = '".$user->getData()->id."'") == 0){
	echo '<div class="error">Пользователей пока что нету</div>';
}

$max = 10;
$k_post = $db->Count("users","WHERE `sid` = '".$user->getData()->id."'");
$k_page = $core->k_page($k_post,$max);
$page = $core->page($k_page);
$start = $max*$page-$max;

$data = $db->Query("SELECT * FROM `users` WHERE `sid` = '".$user->getData()->id."' ORDER BY `id` DESC LIMIT $start, $max"); 
while ($d = mysqli_fetch_assoc($data)){
	echo l("/users.lm?id=".$d["id"],$d["login"],"user","link",false,"Послелнее посещение: ".$core->RealTime($d["lastVisit"]));
}
if($k_page>1) echo $core->str('?',$k_page,$page);
echo hcp();
include_once '../core/foot.php';
?>